> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/cdn/domain/describedomainrefereracl.md).

# DescribeDomainRefererAcl

## 1. API Description

This interface is used to query the referer access control policy of an accelerated domain name.

## 2. Request Parameters

The following request parameter list includes only the necessary parameters for the interface

| Parameter Name | Required | Type   | Description           |
| -------------- | -------- | ------ | --------------------- |
| domainId       | Yes      | String | Accelerated domain Id |

## 3. Output Parameters

| Parameter Name | Type                                                                            | Description                                                                                 |
| -------------- | ------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------- |
| requestId      | String                                                                          | Unique request ID, returned with each request. Provide this requestId when locating issues. |
| refererAcl     | [RefererAclInfo](/api-reference/networking/cdn/datastructure.md#refereraclinfo) | Referer access control information                                                          |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query the referer access control policy of the accelerated domain**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: DescribeDomainRefererAcl
<Common Request Params>

Request:
{
    "domainId": "domainIdxxxxx"
}


Response:
{
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "response": {
        "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
        "refererAcl": {
            "enable": true,
            "type": "WHITE",
            "allowEmptyReferer": true,
            "allowNoReferer": true,
            "referers": [
                "www.zenlayer.com",
                "163.com",
                "*.baidu.com"
            ]
        }
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                        | Description                                      |
| ---------------- | --------------------------------- | ------------------------------------------------ |
| 404              | INVALID\_DOMAIN\_NOT\_FOUND       | The specified accelerated domain does not exist. |
| 403              | DOMAIN\_OPERATION\_NO\_PERMISSION | Operation denied due to lack of permission.      |
